# Generated by Django 4.2.15 on 2024-09-03 16:42

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import inboxen.tickets.models
import inboxen.validators


class Migration(migrations.Migration):

    replaces = [
        ("tickets", "0001_initial"),
        ("tickets", "0002_auto_20171231_1559"),
        ("tickets", "0003_auto_20180313_0138"),
        ("tickets", "0004_auto_20210305_1109"),
    ]

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Question",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("date", models.DateTimeField(auto_now_add=True, db_index=True)),
                ("last_modified", models.DateTimeField(auto_now=True)),
                (
                    "subject",
                    models.CharField(
                        max_length=512,
                        validators=[
                            inboxen.validators.ProhibitNullCharactersValidator()
                        ],
                    ),
                ),
                (
                    "body",
                    models.TextField(
                        validators=[
                            inboxen.validators.ProhibitNullCharactersValidator()
                        ]
                    ),
                ),
                (
                    "status",
                    models.SmallIntegerField(
                        choices=[
                            (0, "New"),
                            (1, "In progress"),
                            (2, "Need more info"),
                            (3, "Resolved"),
                        ],
                        db_index=True,
                        default=0,
                    ),
                ),
                (
                    "author",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "ordering": ["-date"],
            },
            bases=(models.Model, inboxen.tickets.models.RenderBodyMixin),
        ),
        migrations.CreateModel(
            name="Response",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("date", models.DateTimeField(auto_now_add=True, db_index=True)),
                (
                    "body",
                    models.TextField(
                        validators=[
                            inboxen.validators.ProhibitNullCharactersValidator()
                        ]
                    ),
                ),
                (
                    "author",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "question",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="tickets.question",
                    ),
                ),
            ],
            options={
                "ordering": ["date"],
            },
            bases=(models.Model, inboxen.tickets.models.RenderBodyMixin),
        ),
    ]
